# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 Luca Marchetti <ximilian@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

"""this dialog adjusts values in gsettings
"""

from gi.repository import Gtk, GObject # pylint: disable=E0611
import logging
logger = logging.getLogger('dostuff_lib')

from . helpers import get_builder, show_uri, get_help_uri

class AddDialog(Gtk.Dialog):
    __gtype_name__ = "AddDialog"

    def __init__(self):
        pass

    def __new__(cls):
        """Special static method that's automatically called by Python when 
        constructing a new instance of this class.
        
        Returns a fully instantiated AddDialog object.
        """
        builder = get_builder('AddDoStuffDialog')
        new_object = builder.get_object("add_dostuff_dialog")
        new_object.finish_initializing(builder)
        return new_object

    def finish_initializing(self, builder):
        """Called while initializing this instance in __new__

        finish_initalizing should be called after parsing the ui definition
        and creating a AddDialog object with it in order to
        finish initializing the start of the new AddDoStuffDialog
        instance.
        
        Put your initialization code in here and leave __init__ undefined.
        """

        # Get a reference to the builder and set up the signals.
        self.builder = builder
        self.ui = builder.get_ui(self, True)

        # code for other initialization actions should be added here

    def update_choices(self):
        pass

    def edit_task(self):
        pass

    def on_btn_cancel_clicked(self, widget, data=None):
        self.hide()

GObject.type_register(AddDialog)
GObject.signal_new("add_signal", AddDialog, GObject.SIGNAL_RUN_FIRST, GObject.TYPE_NONE, (GObject.TYPE_PYOBJECT,))
